(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(self, () => {
return /******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

;// CONCATENATED MODULE: ./util/waitFor.es6.js
/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiss <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2018 Metaways Infosystems GmbH (http://www.metaways.de)
 */

/* harmony default export */ function waitFor_es6(condition, timeout, interval) {
  return new Promise(function (resolve, reject) {
    interval = interval || 50;
    const until = timeout ? new Date().getTime() + timeout : Infinity;
    const fn = function () {
      const result = condition();
      if (!result) {
        if (new Date().getTime() > until) {
          return reject(new Error('did not succeed in given time interval'));
        } else {
          return window.setTimeout(fn, interval);
        }
      }
      resolve(result);
    };
    fn();
  });
}
;
;// CONCATENATED MODULE: ../../SSO/js/logout.js
const ssoLogout = async config => {
  var _config$logoutUrls, _config$logoutUrls2;
  const keyPrefix = `${window.location.pathname}-sso-logout-client`;
  let responses = [];
  if (!config.logoutUrls) {
    // response from rp
    responses = JSON.parse(sessionStorage.getItem(`${keyPrefix}-responses`)) || [];
    responses.push(config);
    config = JSON.parse(sessionStorage.getItem(`${keyPrefix}-config`));
  }

  // NOTE: binding GET can't be processed in background iframes
  //       @see 882ecda325 fix(SSO): cope with lax cookies in logout client
  if ((_config$logoutUrls = config.logoutUrls) !== null && _config$logoutUrls !== void 0 && _config$logoutUrls.get && config.logoutUrls.get.length) {
    const logoutUrl = config.logoutUrls.get.pop().url;
    sessionStorage.setItem(`${keyPrefix}-config`, JSON.stringify(config));
    sessionStorage.setItem(`${keyPrefix}-responses`, JSON.stringify(responses));
    window.location = logoutUrl;
    return;
  }
  if ((_config$logoutUrls2 = config.logoutUrls) !== null && _config$logoutUrls2 !== void 0 && _config$logoutUrls2.post && config.logoutUrls.post.length) {
    const {
      url,
      data
    } = config.logoutUrls.post.pop();
    sessionStorage.setItem(`${keyPrefix}-config`, JSON.stringify(config));
    sessionStorage.setItem(`${keyPrefix}-responses`, JSON.stringify(responses));
    document.body.innerHTML = `<body>` + `<p class="pulsate">logout from ${url}...</p>` + `<form method="post" action="${url}">` + Object.keys(data).map(key => {
      return `<input type="hidden" name="${key}" value="${data[key]}"/>`;
    }).join() + `<input type="submit" value="continue" style="display: none;"/>` + `</form>` + `<style>` + `.pulsate {animation: pulsate 1s ease-out; animation-iteration-count: infinite;}` + `@keyframes pulsate {0% { opacity: 0.5; } 50% { opacity: 1.0; } 100% { opacity: 0.5; }}` + `</style>` + `</body>`;
    document.getElementsByTagName("form")[0].submit();
    return;
  }
  const failures = responses.reduce((failures, response, idx) => {
    var _response$logoutStatu, _response$logoutStatu2;
    if (!String((_response$logoutStatu = response.logoutStatus) === null || _response$logoutStatu === void 0 ? void 0 : (_response$logoutStatu2 = _response$logoutStatu.value) === null || _response$logoutStatu2 === void 0 ? void 0 : _response$logoutStatu2.Code).match(/Success/)) {
      failures.push(response.relyingParty.label);
    }
    return failures;
  }, []);
  if (errors.length) {
    alert('Failed to logout from ' + failures.join(' and ') + '');
  }
  sessionStorage.removeItem(`${keyPrefix}-config`);
  sessionStorage.removeItem(`${keyPrefix}-responses`);
  window.location = config.finalLocation;
};

;// CONCATENATED MODULE: ../../SSO/js/logoutClient.js


(async () => {
  const initialData = await waitFor_es6(() => {
    return window.initialData;
  });
  ssoLogout(initialData);
})();
/******/ 	return __webpack_exports__;
/******/ })()
;
});